EXPIREINDEX(8)

NAME
expireindex - Expire entries from the news overview index

SYNOPSIS
expireindex [ -a ] [ -D overviewdir ] [ -l ] [ -n ] [ -o ] [ -q ] [ -v ] [ -z ] [ file... ]

DESCRIPTION
Expireindex expires entries from the news overview database index. It reads a list of newsgroup and article number, from the specified files or standard input if none are specified. (A file name of ``-'' may be used to specify the standard input.) Each line should consist of 2 fields specified by a colon:

            newsgroupname:articlenumber

The first field is the name of the newsgroup. A period ``.'' in the newsgroup name in this format should be substituted by a slash ``/''. The second field is an article number to be expired. It then removes any mention of those articles from the appropriate overview database index.

If you have turned off the storage manager with the 'storageapi' in inn.conf(5), you need to use expireover(8) to expire overview. News.daily(8) checks to see if this is true, and uses appropriate one.

OPTIONS

-a  If the ``-a'' flag is used, then expireindex appends overview index which is read from the input file. The difference from overchan(8) is that expireindex reads input file and writes overview index at once. For this reason, the input file should be sorted. Each line should consist of 2 fields specified by a space:

            token newsgroupname:articlenumber

    The first field is the toke of the article. The second field should consist of 2 sub-fields specified by a colon. The first sub-field is the name of the newsgroup. The second sub-field is an article number to be added. The input file can be created by makehistory(8) with ``-I'' option.

-D  The ``-D'' flag can be used to specify where the databases are stored. The default directory is <pathoverview in inn.conf>.

-l  If the ``-l'' flag is used, then expireindex removes all old indexes lower than specified article number which is read from the input file. Each line should consist of 2 fields specified by a space:

            newsgroupname articlenumber

    The first field is the name of the newsgroup. The second field is an article number which is the lowest retained article number. The input file can be created by expire(8) with ``-Z'' option.

-n  To perform no real updates, use the ``-n'' flag.

-o  If the ``-o'' flag is used, then expireindex ignores all old overview index before appending new index.

    This flag should be used together with ``-z'' flag and the input file should be sorted by newsgroup name.

    This flag is valid if ``-a'' is used.

-q  Not to tell lock file open failure, use the ``-q'' flag.

-v  To see a list of the entries that would be added or deleted, use the ``-v'' flag.

-z  If the ``-z'' flag is used, then the input is assumed to be sorted such that all entries for a newsgroup appear together so that it can be purged at once. This flag can be useful when used with ``-a'' flag or with the sorted output of expire(8)'s ``-z'' flag.

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews.

SEE ALSO
expire(8), expireover(8), inn.conf(5), makehistory(8), news.daily(8), overchan(8).